org.apache.ignite.internal.processors.cache.distributed.near

## Class GridNearTxFastFinishFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<IgniteInternalTx>
  - - org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxFastFinishFuture

All Implemented Interfaces:
  IgniteInternalFuture<IgniteInternalTx>, NearTxFinishFuture

    public class GridNearTxFastFinishFuture
    extends GridFutureAdapter<IgniteInternalTx>
    implements NearTxFinishFuture

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `commit()`
`void` `finish(boolean clearThreadMap)`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, reset, result, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, chain, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result`

### Method Detail

#### commit

    public boolean commit()

Specified by:
  `commit` in interface `NearTxFinishFuture`
Returns:
  Commit flag.

#### finish

    public void finish(boolean clearThreadMap)

Parameters:
  `clearThreadMap` - `True` if need remove tx from thread map.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018